package ru.yandex.webmaster3.storage.metrika.data;

import ru.yandex.autodoc.common.doc.annotation.Description;

/**
 * @author leonidrom
 */
public class MetrikaCrawlSample {
    private final String domain;
    private final long counterId;
    private final String url;
    private final String title;

    public MetrikaCrawlSample(String domain, long counterId, String url, String title) {
        this.domain = domain;
        this.counterId = counterId;
        this.url = url;
        this.title = title;
    }

    @Description("Домен счетчика")
    public String getDomain() {
        return domain;
    }

    @Description("id счетчика")
    public long getCounterId() {
        return counterId;
    }

    @Description("Абсолютный url страницы")
    public String getUrl() {
        return url;
    }

    @Description("Заголовок страницы")
    public String getTitle() {
        return title;
    }
}
